Bug 1361177 - Upgrade initialization command should switch repos from OSP 8 to OSP 9
Summary: Upgrade initialization command should switch repos from OSP 8 to OSP 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Jiri Stransky
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1381241
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:45 UTC by Jiri Stransky
Modified: 2016-10-03 13:37 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-25.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1381241 (view as bug list)
Environment:
Last Closed: 2016-08-24 13:01:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1762 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Advisory 2016-08-24 16:59:57 UTC

Description Jiri Stransky 2016-07-28 12:45:18 UTC
Code pulled in from stable/mitaka doesn't have the upgrade initialization command we need for OSP. This command can be forward-ported from OSP 8 and amended.

Comment 5 Alexander Chuzhoy 2016-08-17 01:57:01 UTC
Verified:
Environment:
openstack-tripleo-heat-templates-2.0.0-30.el7ost.noarch

The yum repo switch did occur during the init command, which looked as following:
openstack overcloud deploy --templates --control-scale 3 --compute-scale 1 --neutron-network-type vxlan --neutron-tunnel-types vxlan --ntp-server clock.redhat.com --timeout 90 -e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e network-environment.yaml --rhel-reg --reg-method satellite --reg-sat-url https://<FQDN>/ --reg-activation-key <same key used to deploy 8> --reg-org <org> --ceph-storage-scale 1 -e  /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-pacemaker-init.yaml

Before:
[stack@instack ~]$ ssh heat-admin@192.0.2.9 "sudo yum repolist"
Loaded plugins: package_upload, product-id, search-disabled-repos, subscription-
              : manager
repo id                                                 repo name         status
!rhel-7-server-extras-rpms/x86_64                       Red Hat Enterpris    306
!rhel-7-server-openstack-8-director-rpms/7Server/x86_64 Red Hat OpenStack     60
!rhel-7-server-openstack-8-rpms/7Server/x86_64          Red Hat OpenStack    767
!rhel-7-server-rh-common-rpms/7Server/x86_64            Red Hat Enterpris    196
!rhel-7-server-rhceph-1.3-mon-rpms/7Server/x86_64       Red Hat Ceph Stor    141
!rhel-7-server-rhceph-1.3-osd-rpms/7Server/x86_64       Red Hat Ceph Stor    138
!rhel-7-server-rhceph-1.3-tools-rpms/7Server/x86_64     Red Hat Ceph Stor    107
!rhel-7-server-rpms/7Server/x86_64                      Red Hat Enterpris 11,428
!rhel-7-server-satellite-tools-6.2-rpms/x86_64          Red Hat Satellite     56
!rhel-ha-for-rhel-7-server-rpms/7Server/x86_64          Red Hat Enterpris    220
repolist: 13,419


After:
[stack@instack ~]$ ssh heat-admin@192.0.2.9 "sudo yum repolist"
Loaded plugins: package_upload, product-id, search-disabled-repos, subscription-
              : manager
repo id                                                 repo name         status
!rhel-7-server-extras-rpms/x86_64                       Red Hat Enterpris    306
!rhel-7-server-openstack-9-director-rpms/7Server/x86_64 Red Hat OpenStack     44
!rhel-7-server-openstack-9-rpms/7Server/x86_64          Red Hat OpenStack    568
!rhel-7-server-rh-common-rpms/7Server/x86_64            Red Hat Enterpris    196
!rhel-7-server-rhceph-1.3-mon-rpms/7Server/x86_64       Red Hat Ceph Stor    141
!rhel-7-server-rhceph-1.3-osd-rpms/7Server/x86_64       Red Hat Ceph Stor    138
!rhel-7-server-rhceph-1.3-tools-rpms/7Server/x86_64     Red Hat Ceph Stor    107
!rhel-7-server-rpms/7Server/x86_64                      Red Hat Enterpris 11,428
!rhel-7-server-satellite-tools-6.2-rpms/x86_64          Red Hat Satellite     56
!rhel-ha-for-rhel-7-server-rpms/7Server/x86_64          Red Hat Enterpris    220
repolist: 13,204

Comment 7 errata-xmlrpc 2016-08-24 13:01:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1762.html


Note You need to log in before you can comment on or make changes to this bug.